Loading...
Searching...
No Matches
mdds::mtv::base_element_block Class Reference

`#include <types.hpp>`

Inheritance diagram for mdds::mtv::base_element_block:

## Protected Member Functions

| base_element_block (element_t _t) noexcept

## Protected Attributes

element_t | type

## Friends

element_t | get_block_type (const base_element_block &blk)

## Detailed Description

Non-template common base type necessary for blocks of all types to be stored in a single container.

## Friends And Related Symbol Documentation

## get_block_type

element_t get_block_type | ( | const base_element_block & | blk | ) |

friend

Get the numerical block type ID from a given element block instance.

Parameters

  blk | element block instance

Returns
  numerical value representing the ID of a element block.